Get Category Tree
curl --request GET \
--url https://scx-sbx.api.jtl-software.com/v1/channel/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"categoryId": "4711",
"displayName": "Beer",
"listingAllowed": true,
"parentCategoryId": "2343"
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Categories
Get Category Tree
GET
/
v1
/
channel
/
categories
Get Category Tree
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Response
Category tree retrieved
Wrapper around the published category tree (list of root categories with their children).
Show child attributes
Show child attributes
Was this page helpful?
⌘I